メインコンテンツへスキップ

Documentation Index

Fetch the complete documentation index at: https://docs.qoder.com/llms.txt

Use this file to discover all available pages before exploring further.

POST /v1/sessions/{session_id}/archive Session をアーカイブします。アーカイブされた Session はデフォルトの一覧には表示されなくなりますが、データは保持され、いつでも復元できます。

パスパラメータ

パラメータ説明
session_idstringSession ID(sess_ プレフィックス)

ヘッダー

名称必須
AuthorizationはいBearer $QODER_PAT
Content-Typeはいapplication/json

リクエスト例

curl -X POST https://openapi.qoder.sh/api/v1/cloud/sessions/sess_019e3bb1e8c171fd9abbb1477ffb84cc/archive \
  -H "Authorization: Bearer $QODER_PAT" \
  -H "Content-Type: application/json"

レスポンス例

HTTP 200 OK 完全な Session オブジェクトを返します。
{
  "id": "sess_019e3bb1e8c171fd9abbb1477ffb84cc",
  "type": "session",
  "agent_id": "agent_019e390add9f7bac9b6cc806db46fcbd",
  "agent": { "..." },
  "environment_id": "env_019e2590d33f711fabf42f2857cecd8a",
  "title": "API-doc-verification-session-updated",
  "status": "idle",
  "resources": [],
  "vault_ids": [],
  "memory_store_ids": [],
  "usage": { "..." },
  "created_at": "2026-05-18T15:26:15.747298Z",
  "updated_at": "2026-05-18T15:26:35.5596Z"
}

エラーレスポンス

HTTPtype説明
401authentication_errorPAT が無効または期限切れ
404not_found_errorSession が存在しない